Target version: 2.3.3   

Affected Version: 2.3.x Affected

Architecture:

 

Description

Related to #6893 - when I view the diff of the configuration XML after a change to DNS Resolver's Host Overrides section, the

<unbound><hosts> entries appear to be randomized when they get written out to the XML. This makes viewing the diff confusing as

it shows several lines modified, when in reality only a single change may have taken place.

It would be nice if the order of the XML elements matched the order displayed in the GUI.

Associated revisions

Revision 8e7fea67 - 11/09/2016 08:56 AM - Steve Beaver

Fixed #6903

hosts and domains sorted on display, not on save to config

Revision dcae03a3 - 11/09/2016 08:57 AM - Steve Beaver

Fixed #6903

hosts and domains sorted on display, not on save to config

History

#1 - 11/08/2016 06:31 PM - Steve Beaver

- Assignee set to Steve Beaver

#2 - 11/09/2016 08:18 AM - Steve Beaver

- Subject changed from Configuration XML hosts section order appears randomized to services_dnsmasq_edit.php: Configuration XML hosts section

order appears randomized

- Status changed from New to Feedback

It is certainly not "randomized", but since the two tables may be sorted (by clicking the column headers) the hosts can appear in whichever order you

want.

Currently on saving a new override the hosts are sorted alphabetically by host name, so they should always appear in a consistent order when the

page is first loaded, and this seems a desirable feature. Of course it also means that if you add a new override and its name begins with 'A', it will be

added to the start of the list and all existing hosts will move down one.

A better approach might be to leave the list unsorted on save, but sort it when rendering the display?

A change to that effect has been pushed. Please test in the next snapshot.
#3 - 11/09/2016 09:00 AM - Steve Beaver

- % Done changed from 0 to 100

Applied in changeset 8e7fea674a34ab217c9b9821c608639ca45bd281.

#4 - 11/21/2016 09:02 AM - Steve Beaver

- Status changed from Feedback to Resolved

#5 - 02/10/2017 10:38 AM - Jim Pingle

- Target version set to 2.3.3
